Package org.apache.sysds.lops

## Enum MMCJ.MMCJType

- java.lang.Object
- - java.lang.Enum<MMCJ.MMCJType>
  - - org.apache.sysds.lops.MMCJ.MMCJType

All Implemented Interfaces:
  `Serializable`, `Comparable<MMCJ.MMCJType>`

Enclosing class:
  MMCJ

    public static enum MMCJ.MMCJType
    extends Enum<MMCJ.MMCJType>

### Enum Constant Summary

Enum Constants
`AGG`
`NO_AGG`

### Method Summary

All Methods Static Methods Concrete Methods
`static MMCJ.MMCJType` `valueOf​(String name)` Returns the enum constant of this type with the specified name.
`static MMCJ.MMCJType[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### AGG

    public static final MMCJ.MMCJType AGG

#### NO_AGG

    public static final MMCJ.MMCJType NO_AGG

### Method Detail

#### values

    public static MMCJ.MMCJType[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (MMCJ.MMCJType c : MMCJ.MMCJType.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static MMCJ.MMCJType valueOf​(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null